%define upstream_name Dist-Zilla-Plugin-MakeMaker-Fallback
%define upstream_version 0.022

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate a Makefile.PL containing a warning for legacy users
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome) >= 0.230.0
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Generate a Makefile.PL containing a warning for legacy users.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.22.0-2.mga6
+ Revision: 1026297
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.22.0-1.mga6
+ Revision: 1007576
- update to 0.022

* Fri Feb 19 2016 umeabot <umeabot> 0.21.0-2.mga6
+ Revision: 970003
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.21.0-1.mga6
+ Revision: 884542
- update to 0.021

* Sun Aug 23 2015 sander85 <sander85> 0.20.0-1.mga6
+ Revision: 868429
- update to 0.020

* Mon Jul 27 2015 sander85 <sander85> 0.19.0-1.mga6
+ Revision: 858237
- update to 0.019

* Sun Jun 28 2015 sander85 <sander85> 0.17.0-1.mga6
+ Revision: 846867
- imported package perl-Dist-Zilla-Plugin-MakeMaker-Fallback

